Create BusinessCredit Account

Create a new business account [In develoment]


This endpoint creates a new business (legal entity) account using multipart/form-data.


💡 Note: This request should include gender = 3 to indicate that the account is for a business.
Fields like second_last_name and curp are not required for business accounts.
You can create an account configured to have Composite Balance. The last optional parameter is for this porpose.


If you will create an account with composite balance; you must add composite_balance parameter as you can see at the end of request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 255

An identifier for the user’s device.
This id will be required to obtain authentication tokens to
communicate with other endpoints (Authorization-customer header)

string
required
length ≤ 255

The business email address

string
required
length ≤ 255

The business name or representative's first name

string
required
length ≤ 255

The business representative's last name

int64
enum
required

Account type indicator.

Must be set to 3 for business accounts.

Allowed:
int64
required
1000000000 to 9999999999

Business phone number

string
^\+[0-9]{1,3}$

Optional country calling code for the mobile number. The leading “+” may be included or omitted. If no value is provided, the default country code +52 is assumed.

string
required

A password hash

string
required
^[A-Za-z0-9]{12}$

The business’s Registro Federal de Contribuyentes (RFC)

string
^[0-9]{1,5}$

The business’s zipcode

string

Contains information about the composite balance-related objects to be created. This field expects a JSON string with the following schema: {"source":{"total_credit":10000000}}.

This parameter only is useful when you create an account with Composite Balance.

You can see more about this here: Composite Balance

Headers
string
required

OAuth token belonging to the e-commerce

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*